1. Delivery
Minted
  • Resmi Dökümantasyon
  • Authorization
  • Balances
    • Partner Balance
      GET
    • Customer Balance
      GET
    • Update Customer Cash Balance
      PATCH
  • Buy
    • Customer
      • From Amount
        • Price Fix(Get Prices)
        • Buy (Gold)
        • Buy (Silver)
        • Calculate Price
      • From Total Price
        • Price Fix(Get Prices)
        • Buy (Gold)
        • Buy (Silver)
    • Partner
      • Price Fix(Get Prices)
      • Buy (Gold)
      • Buy (Silver)
    • Card Payment
      • Documentation
      • Payment Get All Types
      • Card Payment Price Fix (Get Prices)
      • Card Payment Bin Query (Installments/Comissions)
      • Card Payment Buy (with card number)
      • Card Payment Buy (with card token)
      • Card Payment Get Order
  • CardStorage
    • Card Storage List
      POST
    • Card Storage Add
      POST
    • Card Storage Delete
      POST
  • Customer
    • Remove Customer Id
      DELETE
    • Create Customer
      POST
    • Update Customer
      PATCH
    • Get Customer
      GET
    • Customer Wallet Kyc - Get
      GET
    • Customer Wallet Kyc - Upsert
      POST
    • Customer Wallet Kyc - Bulk Upsert
      POST
  • Delivery
    • Delivery - List Wallets
      POST
    • Delivery - Calculate
      POST
    • Delivery - Create (Wallet)
      POST
    • Delivery - Create (Card Payment)
      POST
  • Sell
    • Customer
      • Price Fix (Get Prices)
      • Sell (Gold)
      • Sell (Silver)
    • Partner
      • Price Fix (Get Prices)
      • Sell (Gold)
      • Sell (Silver)
  • Authentication
    • Authorize Minted
  • Partner Orders
    GET
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • Schemas
      • mintedApp.Api.Models.LoginViewModel
      • mintedApp.Api.Models.RegisterViewModel
      • mintedApp.Application.Dtos.Admin.AddProducerAM
      • mintedApp.Application.Dtos.Admin.MerchantAM
      • mintedApp.Application.Dtos.Balances.UpdateCustomerBalanceAM
      • mintedApp.Application.Dtos.Buy.CardPayment.BinQueryAM
      • mintedApp.Application.Dtos.Buy.CardPayment.BuyWithCardNumberAM
      • mintedApp.Application.Dtos.Buy.CardPayment.BuyWithCardTokenAM
      • mintedApp.Application.Dtos.Buy.CardPayment.BuyWithCardTokenCustomer
      • mintedApp.Application.Dtos.Buy.CardPayment.BuyWithCardTokenItem
      • mintedApp.Application.Dtos.Buy.CardPayment.BuyWithCardTokenPayment
      • mintedApp.Application.Dtos.Buy.CardPayment.CardPaymentPriceFixAM
      • mintedApp.Application.Dtos.Buy.CardPayment.Customer
      • mintedApp.Application.Dtos.Buy.CardPayment.Item
      • mintedApp.Application.Dtos.Buy.CardPayment.Payment
      • mintedApp.Application.Dtos.Buy.Customer.BuyGoldAM
      • mintedApp.Application.Dtos.Buy.Customer.BuySilverAM
      • mintedApp.Application.Dtos.Buy.Customer.GoldCustomer
      • mintedApp.Application.Dtos.Buy.Customer.GoldItem
      • mintedApp.Application.Dtos.Buy.Customer.PriceFixAM
      • mintedApp.Application.Dtos.Buy.Customer.SilverCustomer
      • mintedApp.Application.Dtos.Buy.Customer.SilverItem
      • mintedApp.Application.Dtos.Buy.Partner.BuyGoldAM
      • mintedApp.Application.Dtos.Buy.Partner.BuySilverAM
      • mintedApp.Application.Dtos.Buy.Partner.Item
      • mintedApp.Application.Dtos.Buy.Partner.PrifeFixAM
      • mintedApp.Application.Dtos.Buy.Partner.SilverItem
      • mintedApp.Application.Dtos.CardStorage.CardStorageAddAM
      • mintedApp.Application.Dtos.CardStorage.CardStorageDeleteAM
      • mintedApp.Application.Dtos.CardStorage.CardStorageListAM
      • mintedApp.Application.Dtos.Customer.CustomerAM
      • mintedApp.Application.Dtos.Customer.CustomerKycAM
      • mintedApp.Application.Dtos.Customer.CustomerKycBulkAM
      • mintedApp.Application.Dtos.Customer.Kcy
      • mintedApp.Application.Dtos.Delivery.Address
      • mintedApp.Application.Dtos.Delivery.Billing
      • mintedApp.Application.Dtos.Delivery.CalculateAM
      • mintedApp.Application.Dtos.Delivery.CreateAM
      • mintedApp.Application.Dtos.Delivery.CreateCardPaymentAM
      • mintedApp.Application.Dtos.Delivery.CreateCardPaymentAddress
      • mintedApp.Application.Dtos.Delivery.CreateCardPaymentBilling
      • mintedApp.Application.Dtos.Delivery.CreateCardPaymentPayment
      • mintedApp.Application.Dtos.Delivery.CreateCardPaymentShipping
      • mintedApp.Application.Dtos.Delivery.Customer
      • mintedApp.Application.Dtos.Delivery.ResolveAM
      • mintedApp.Application.Dtos.Delivery.Shipping
      • mintedApp.Application.Dtos.Sell.Customer.Customer
      • mintedApp.Application.Dtos.Sell.Customer.Item
      • mintedApp.Application.Dtos.Sell.Customer.SellCustomerPriceFixAM
      • mintedApp.Application.Dtos.Sell.Customer.SellCustomerSellGoldAM
      • mintedApp.Application.Dtos.Sell.Customer.SellCustomerSellSilverAM
      • mintedApp.Application.Dtos.Sell.Customer.SellCustomerSellSilverCustomer
      • mintedApp.Application.Dtos.Sell.Customer.SellCustomerSellSilverItem
      • mintedApp.Application.Dtos.Sell.Partner.Item
      • mintedApp.Application.Dtos.Sell.Partner.SellPartnerPriceFixAM
      • mintedApp.Application.Dtos.Sell.Partner.SellPartnerSellGoldAM
      • mintedApp.Application.Dtos.Sell.Partner.SellPartnerSellSilverAM
      • mintedApp.Application.Dtos.Sell.Partner.SellPartnerSellSilverItem
  1. Delivery

Delivery - List Wallets

POST
/mintedapi/Delivery/list

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "customer_external_id": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://test.your-api-server.com/mintedapi/Delivery/list' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "customer_external_id": "string"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "data": [
        {
            "name": "Gold Wallet",
            "type": "regular",
            "currency_symbol": "",
            "currency_code": "MAU",
            "balance": 0,
            "blocked": 0,
            "real_balance": 0,
            "sku": "GAU",
            "is_available": false,
            "delivery_limits": {
                "max": 1000,
                "min": 1,
                "multiply": 1
            }
        },
        {
            "name": "Silver Wallet",
            "type": "regular",
            "currency_symbol": "",
            "currency_code": "MAG",
            "balance": 0.5,
            "blocked": 0,
            "real_balance": 0.5,
            "sku": "GAG",
            "is_available": false,
            "delivery_limits": {
                "max": 1000,
                "min": 1,
                "multiply": 1
            }
        }
    ],
    "success": true,
    "code": 0,
    "message": ""
}
Modified at 2024-12-30 14:34:31
Previous
Customer Wallet Kyc - Bulk Upsert
Next
Delivery - Calculate
Built with